# (c) cavaliba.com - demo - ipam data


# -- enumerate


- classname: _enumerate
  keyname: ipam_vlan_family
  is_enabled: True
  displayname: IPAM VLAN Family
  description: IAPM VLAN Family enumerate
  content: |
    - value: "N/A"
    - value: Employees
    - value: Servers
    - value: Printers
    - value: ToIP
    - value: Network
    - value: Customers
    - value: Vistors
    - value: Databases
    - value: DMZ
    - value: "Unknown"
    - value: "Other"


# -- subnets

- classname: ipam_subnet
  keyname: 192.168.0.0/16
  subnet: 192.168.0.0/16

- classname: ipam_subnet
  keyname: 172.16.0.0/12
  subnet: 172.16.0.0/12

- classname: ipam_subnet
  keyname: 10.0.0.0/8
  subnet: 10.0.0.0/8

- classname: ipam_subnet
  keyname: 10.1.0.0/16
  subnet: 10.1.0.0/16

- classname: ipam_subnet
  keyname: 10.1.128.0/17
  subnet: 10.1.128.0/17

- classname: ipam_subnet
  keyname: 10.1.1.0/24
  subnet: 10.1.1.0/24

- classname: ipam_subnet
  keyname: 10.1.2.0/24
  subnet: 10.1.2.0/24

- classname: ipam_subnet
  keyname: 10.1.2.128/25
  subnet: 10.1.2.128/25

- classname: ipam_subnet
  keyname: 10.1.2.64/26
  subnet: 10.1.2.64/26

- classname: ipam_subnet
  keyname: 10.1.2.32/27
  subnet: 10.1.2.32/27

- classname: ipam_subnet
  keyname: 10.1.2.16/28
  subnet: 10.1.2.16/28

- classname: ipam_subnet
  keyname: 10.1.2.8/29
  subnet: 10.1.2.8/29

- classname: ipam_subnet
  keyname: 10.1.2.4/30
  subnet: 10.1.2.4/30

- classname: ipam_subnet
  keyname: 10.1.2.2/31
  subnet: 10.1.2.2/31

- classname: ipam_subnet
  keyname: 10.2.1.128/25
  subnet: 10.2.1.128/25

- classname: ipam_subnet
  keyname: 10.2.2.128/25
  subnet: 10.2.2.128/25

- classname: ipam_subnet
  keyname: 10.2.3.128/25
  subnet: 10.2.3.128/25

- classname: ipam_subnet
  keyname: 10.2.4.128/25
  subnet: 10.2.4.128/25

- classname: ipam_subnet
  keyname: 10.2.5.128/25
  subnet: 10.2.5.128/25

- classname: ipam_subnet
  keyname: 10.2.6.128/25
  subnet: 10.2.6.128/25

- classname: ipam_subnet
  keyname: 10.2.7.128/25
  subnet: 10.2.7.128/25

- classname: ipam_subnet
  keyname: 10.2.8.128/25
  subnet: 10.2.8.128/25

- classname: ipam_subnet
  keyname: 10.2.9.128/25
  subnet: 10.2.9.128/25

- classname: ipam_subnet
  keyname: 10.2.10.128/25
  subnet: 10.2.10.128/25


# -- VLANs

- classname: ipam_vlan
  keyname: vlan01
  displayname: vlan01
  description: Test VLAN 01
  vlan_family: Employees
  vlan_id: 101
  subnet: 10.1.2.0/24

- classname: ipam_vlan
  keyname: vlan02
  displayname: vlan02
  description: Test VLAN 02
  vlan_family: ToIP
  vlan_id: 102
  subnet: 
  - 10.1.1.0/24
  - 10.1.2.0/24

- classname: ipam_vlan
  keyname: vlan03
  displayname: vlan03
  description: Test VLAN 03
  vlan_family: Unknown
  vlan_id: 103
  subnet: 10.2.3.128/25

- classname: ipam_vlan
  keyname: vlan04
  displayname: vlan04
  description: Test VLAN 04
  vlan_id: 104
  vlan_family: Printers
  subnet: 10.2.4.128/25

- classname: ipam_vlan
  keyname: vlan05
  displayname: vlan05
  description: Test VLAN 05
  vlan_id: 105
  vlan_family: "Servers"
  subnet: 10.2.5.128/25

- classname: ipam_vlan
  keyname: vlan06
  displayname: vlan06
  description: Test VLAN 06
  vlan_id: 106
  vlan_family: "N/A"
  subnet: 10.2.6.128/25


- classname: ipam_vlan
  keyname: vlan07
  displayname: vlan07
  description: Test VLAN 07
  vlan_id: 107
  vlan_family: "N/A"
  subnet: 10.2.7.128/25

- classname: ipam_vlan
  keyname: vlan08
  displayname: vlan08
  description: Test VLAN 08
  vlan_id: 108
  vlan_family: "N/A"
  subnet: 10.2.8.128/25

- classname: ipam_vlan
  keyname: vlan09
  displayname: vlan09
  description: Test VLAN 09
  vlan_id: 109
  vlan_family: "N/A"
  subnet: 10.2.9.128/25

- classname: ipam_vlan
  keyname: vlan10
  displayname: vlan10
  description: Test VLAN 10
  vlan_id: 110
  vlan_family: "Other"
  subnet: 10.2.10.128/25


